// ColorBox.cpp : implementation file
//

#include "stdafx.h"
#include "mfc1.h"
#include "ColorBox.h"

// CColorBox

IMPLEMENT_DYNAMIC(CColorBox, CComboBox)
CColorBox::CColorBox()
{
}

CColorBox::~CColorBox()
{
}

// CColorBox message handlers

void CColorBox::DrawItem(LPDRAWITEMSTRUCT pDraw)
{
	CDC dc;
	dc.Attach(pDraw->hDC);

	CPen pen;
	CBrush brush;
	pen.CreatePen(PS_SOLID, 3, RGB(255, 255, 255));
	brush.CreateSolidBrush(pDraw->itemData);
	CPen* pOldPen = dc.SelectObject(&pen);
	CBrush* pOldBrush = dc.SelectObject(&brush);

	if (pDraw->itemAction == ODA_SELECT) 
	{
		if (pDraw->itemState & ODS_SELECTED)
			dc.DrawFocusRect(&pDraw->rcItem);
		else
			dc.Rectangle(&pDraw->rcItem);
	}
		
	if (pDraw->itemAction == ODA_DRAWENTIRE)
		dc.Rectangle(&pDraw->rcItem);

	dc.SelectObject(pOldPen);
	dc.SelectObject(pOldBrush);
	dc.Detach();		
}
