// mfc1Dlg.h : header file
//

#if !defined(AFX_MFC1DLG_H__7688AFD1_CB61_46DE_8F8C_67E760ACAF1A__INCLUDED_)
#define AFX_MFC1DLG_H__7688AFD1_CB61_46DE_8F8C_67E760ACAF1A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AxStatic.h"
#include "afxcmn.h"
#include "afxwin.h"
#include "ColorBox.h"

/////////////////////////////////////////////////////////////////////////////
// CMfc1Dlg dialog

using namespace AxWinLib;

class CUrlStatic : public CAxStatic
{
public:

	COLORREF m_OldColor;
	CUrlStatic() : m_OldColor(FontColor) {};
	void OnMouseHover();
	void OnMouseLeave();
};

class CMfc1Dlg : public CDialog
{
	CImageList img1;
// Construction
public:
	CMfc1Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMfc1Dlg)
	enum { IDD = IDD_MFC1_DIALOG };
	CUrlStatic	m_url;
	CString	m_text;
	BOOL	m_bold;
	BOOL	m_italic;
	BOOL	m_strikeout;
	BOOL	m_underline;
	CString	m_font;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfc1Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnCheck();
	afx_msg void OnButton2();

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnStnClickedUrl();
	afx_msg void OnEnChangeEdit1();
protected:
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
public:

	CComboBoxEx combo1;
	CColorBox combo2;
	afx_msg void OnCbnSelchangeCombobo1();
	afx_msg void OnCbnSelchangeCombo2();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFC1DLG_H__7688AFD1_CB61_46DE_8F8C_67E760ACAF1A__INCLUDED_)
