// mfc1Dlg.cpp : implementation file
//


#include "stdafx.h"
#include "mfc1.h"
#include "mfc1Dlg.h"
#include ".\mfc1dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data

	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support


// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMfc1Dlg dialog

CMfc1Dlg::CMfc1Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMfc1Dlg::IDD, pParent)
{
	m_text = _T("");
	m_bold = FALSE;
	m_italic = FALSE;
	m_strikeout = FALSE;
	m_underline = FALSE;
	m_font = _T("");

	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMfc1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_URL, m_url);
	DDX_Text(pDX, IDC_EDIT1, m_text);
	DDX_Check(pDX, IDC_CHECK1, m_bold);
	DDX_Check(pDX, IDC_CHECK2, m_italic);
	DDX_Check(pDX, IDC_CHECK4, m_strikeout);
	DDX_Check(pDX, IDC_CHECK3, m_underline);
	DDX_Text(pDX, IDC_EDIT2, m_font);
	DDX_Control(pDX, IDC_COMBO1, combo1);
	DDX_Control(pDX, IDC_COMBO2, combo2);
}

BEGIN_MESSAGE_MAP(CMfc1Dlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_CHECK1, OnCheck)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_CHECK2, OnCheck)
	ON_BN_CLICKED(IDC_CHECK3, OnCheck)
	ON_BN_CLICKED(IDC_CHECK4, OnCheck)
	ON_STN_CLICKED(IDC_URL, OnStnClickedUrl)
	ON_EN_CHANGE(IDC_EDIT1, OnEnChangeEdit1)
	ON_CBN_SELCHANGE(IDC_COMBO1, OnCbnSelchangeCombobo1)
	ON_CBN_SELCHANGE(IDC_COMBO2, OnCbnSelchangeCombo2)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMfc1Dlg message handlers

BOOL CMfc1Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	img1.Create(24, 24, ILC_COLOR | ILC_MASK, 1, 1);
	img1.Add(AfxGetApp()->LoadStandardCursor(IDC_ARROW));
	img1.Add(AfxGetApp()->LoadStandardCursor(IDC_WAIT));
	img1.Add(AfxGetApp()->LoadStandardCursor(IDC_HAND));

	combo1.SetImageList(&img1);
	COMBOBOXEXITEM item;
	::memset(&item, 0, sizeof(item));
	item.mask = CBEIF_TEXT | CBEIF_IMAGE | CBEIF_SELECTEDIMAGE;
	item.iItem  = 0;
	item.iImage = 0;
	item.iSelectedImage = 0;
	item.pszText = "Arrow";
	combo1.InsertItem(&item);

	item.iItem  = 1;
	item.iImage = 1;
	item.iSelectedImage = 1;
	item.pszText = "Wait";
	combo1.InsertItem(&item);

	item.iItem  = 2;
	item.iImage = 2;
	item.iSelectedImage = 2;
	item.pszText = "Hand";
	combo1.InsertItem(&item);

	combo1.SetCurSel(0);
	
	combo2.SetItemData(combo2.AddString("Black"), 0);
	combo2.SetItemData(combo2.AddString("Red"), RGB(255, 0, 0));
	combo2.SetItemData(combo2.AddString("Green"), RGB(0, 255, 0));
	combo2.SetItemData(combo2.AddString("Blue"), RGB(0, 0, 255));

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CMfc1Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMfc1Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMfc1Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMfc1Dlg::OnButton1() 
{
	UpdateData();
	m_url.Caption = m_text;
}

void CMfc1Dlg::OnCheck() 
{
	UpdateData();
	DWORD dwExStyle = 0;
	dwExStyle |= m_italic ? CAxStatic::EX_ITALIC : 0;
	dwExStyle |= m_bold ? CAxStatic::EX_BOLD : 0;
	dwExStyle |= m_underline ? CAxStatic::EX_UNDERLINE : 0;
	dwExStyle |= m_strikeout ? CAxStatic::EX_STRIKEOUT : 0;
	m_url.ExStyle = dwExStyle;
}

void CMfc1Dlg::OnButton2() 
{
	UpdateData();
	m_url.FontFace = m_font;
}


void CMfc1Dlg::OnStnClickedUrl()
{
	m_url.FontColor = RGB(128, 0, 128);
	m_url.m_OldColor = m_url.FontColor;
	Beep(3000,300);
}

void CMfc1Dlg::OnEnChangeEdit1()
{
	OnButton1();
}

BOOL CMfc1Dlg::OnCommand(WPARAM wParam, LPARAM lParam)
{
	return CDialog::OnCommand(wParam, lParam);
}


void CMfc1Dlg::OnCbnSelchangeCombobo1()
{
	switch (combo1.GetCurSel())
	{
		case 0:
			m_url.Cursor = AfxGetApp()->LoadStandardCursor(IDC_ARROW);
			break;
		case 1:
			m_url.Cursor = AfxGetApp()->LoadStandardCursor(IDC_WAIT);
			break;
		case 2:
			m_url.Cursor = AfxGetApp()->LoadStandardCursor(IDC_HAND);
			break;
	}
}

void CMfc1Dlg::OnCbnSelchangeCombo2()
{
	m_url.FontColor = combo2.GetItemData(combo2.GetCurSel());
}

void CUrlStatic::OnMouseHover()
{
	m_OldColor = FontColor;
	FontColor = RGB(0, 0, 255);
	ExStyle |= EX_UNDERLINE; 
}

void CUrlStatic::OnMouseLeave()
{
	FontColor = m_OldColor;
	ExStyle &= ~EX_UNDERLINE;
}
